<template>
  <el-input-number
    v-model="value"
    :min="min"
    :max="max"
    :step="step"
    :precision="precision"
    :controls="false"
    step-strictly
    :placeholder="min + '-' + max"
    @change="change"
  ></el-input-number>
</template>

<script>

export default {
  name: 'FreezeInput',
  components: {},
  props: {
    value:'',
    min: '',
    max: '',
    step: '',
    precision: '',
  },
  data() {
    return {
      
    };
  },
  methods: {
    change(value){
      console.log("value---->",value);
      this.$emit('update:value', value);
    }
  },
  watch: {

  }
};
</script>

<style lang="scss" scoped>

</style>
